net.minecraftforge.client.model.obj

## Class WavefrontObject

- java.lang.Object
- - net.minecraftforge.client.model.obj.WavefrontObject

- All Implemented Interfaces:
    IModelCustom

      public class WavefrontObject
      extends Object
      implements IModelCustom

  Wavefront Object importer Based heavily off of the specifications found at http://en.wikipedia.org/wiki/Wavefront_.obj_file

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ArrayList<GroupObject>` | `groupObjects`
    `ArrayList<TextureCoordinate>` | `textureCoordinates`
    `ArrayList<Vertex>` | `vertexNormals`
    `ArrayList<Vertex>` | `vertices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WavefrontObject(String filename, InputStream inputStream)`
    `WavefrontObject(String fileName, URL resource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getType()`
    `void` | `renderAll()`
    `void` | `renderAllExcept(String... excludedGroupNames)`
    `void` | `renderOnly(String... groupNames)`
    `void` | `renderPart(String partName)`
    `void` | `tessellateAll(Tessellator tessellator)`
    `void` | `tessellateAllExcept(Tessellator tessellator, String... excludedGroupNames)`
    `void` | `tessellateOnly(Tessellator tessellator, String... groupNames)`
    `void` | `tessellatePart(Tessellator tessellator, String partName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertices

          public ArrayList<Vertex> vertices

    - #### vertexNormals

          public ArrayList<Vertex> vertexNormals

    - #### textureCoordinates

          public ArrayList<TextureCoordinate> textureCoordinates

    - #### groupObjects

          public ArrayList<GroupObject> groupObjects

  - ### Constructor Detail

    - #### WavefrontObject

          public WavefrontObject(String fileName,
                         URL resource)
                          throws ModelFormatException

      Throws:
        `ModelFormatException`

    - #### WavefrontObject

          public WavefrontObject(String filename,
                         InputStream inputStream)
                          throws ModelFormatException

      Throws:
        `ModelFormatException`

  - ### Method Detail

    - #### renderAll

          public void renderAll()

      Specified by:
        `renderAll` in interface `IModelCustom`

    - #### tessellateAll

          public void tessellateAll(Tessellator tessellator)

    - #### renderOnly

          public void renderOnly(String... groupNames)

      Specified by:
        `renderOnly` in interface `IModelCustom`

    - #### tessellateOnly

          public void tessellateOnly(Tessellator tessellator,
                            String... groupNames)

    - #### renderPart

          public void renderPart(String partName)

      Specified by:
        `renderPart` in interface `IModelCustom`

    - #### tessellatePart

          public void tessellatePart(Tessellator tessellator,
                            String partName)

    - #### renderAllExcept

          public void renderAllExcept(String... excludedGroupNames)

      Specified by:
        `renderAllExcept` in interface `IModelCustom`

    - #### tessellateAllExcept

          public void tessellateAllExcept(Tessellator tessellator,
                                 String... excludedGroupNames)

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `IModelCustom`